#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# WebGLShaderManager Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:5`
Module: PIXI

## Constructor

### `WebGLShaderManager`

(

- `gl`

)
private

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:5`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- Index
- Methods

## Item Index

### Methods

- destroy
- setAttribs
- setContext

## Methods

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:113`

Destroys

### `setAttribs`

(

- `attribs`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:56`

Takes the attributes given in parameters

#### Parameters:

- `attribs` Array

  attribs

### `setContext`

(

- `gl`
- `transparent`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:28`

Initialises the context and the properties

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- `transparent` Boolean

  Whether or not the drawing context should be transparent